# Get a support answer

Fetches a support answer.

```http
GET https://api.pozy.ai/v1/support/runs/{runId}
```

- Area: Workspace / Support Assistant
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `runId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/support/runs/6e3431a916a6bb08fe30481d" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/support/runs/6e3431a916a6bb08fe30481d", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/support/runs/6e3431a916a6bb08fe30481d",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `runId`, string, required
- `threadId`, string, required
- `status`, string, required: One of `queued`, `running`, `completed`, `needs_human`, `failed`
- `stopReason`, string, required: One of `answered`, `human_review`, `cost_cap`, `deadline`, `max_iterations`, `error`, `expired`. Can be null
- `question`, string, required: Can be null
- `answer`, string, required: Can be null
- `diagnosis`, object, required
  - one of: Support Run Diagnosis
    - `category`, string, required: One of `account_connection`, `content_rejected`, `rate_limited`, `platform_issue`, `pozy_issue`, `billing`, `configuration`, `how_to`, `other`
    - `cause`, string, required: Can be null
    - `fixSteps`, array of string, required
    - `docsLinks`, array of string, required
    - `whoMustAct`, string, required: One of `integrator`, `end_user`, `pozy`, `platform`, `none`
- `usage`, object, required
  - `inputTokens`, integer, required
  - `outputTokens`, integer, required
  - `cacheReadTokens`, integer, required
  - `cacheWriteTokens`, integer, required
- `costUsd`, number, required
- `maxCostUsd`, number, required
- `createdAt`, string (date-time), required
- `startedAt`, string (date-time), required: Can be null
- `finishedAt`, string (date-time), required: Can be null
- `supportTicket`, object, required: Can be null
  - `openedAt`, string (date-time), required
- `pollAfterSeconds`, integer

```json
{
  "runId": "6e3431a916a6bb08fe30481d",
  "threadId": "60186572e25ff711298bf12e",
  "status": "queued",
  "stopReason": "answered",
  "question": "string",
  "answer": "string",
  "diagnosis": {
    "category": "account_connection",
    "cause": "string",
    "fixSteps": [
      "string"
    ],
    "docsLinks": [
      "string"
    ],
    "whoMustAct": "integrator"
  },
  "usage": {
    "inputTokens": 1,
    "outputTokens": 1,
    "cacheReadTokens": 1,
    "cacheWriteTokens": 1
  },
  "costUsd": 12.5,
  "maxCostUsd": 12.5,
  "createdAt": "2026-10-02T09:00:00.000Z",
  "startedAt": "2026-10-02T09:00:00.000Z",
  "finishedAt": "2026-10-02T09:00:00.000Z",
  "supportTicket": {
    "openedAt": "2026-10-02T09:00:00.000Z"
  },
  "pollAfterSeconds": 1
}
```
